.d-flex {display: flex;}
.flex-wrap {flex-wrap: wrap;}
.flex-column {flex-direction: column;}
.flex-row {flex-direction: row !important;}
.justify-between {justify-content: space-between;}
.justify-center {justify-content: center;}
.align-center {align-items: center;}

.align-start {align-items: flex-start !important;}
.justify-end {justify-content: flex-end;}
.align-end{align-items: flex-end;}

.d-block {display: block;}

.grid-2 {
  display: grid;
  grid-template-columns: repeat( auto-fit, minmax(40%, 1fr) );
  gap: 20px;
}

.grid-4 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 20px;
}

.grid-5 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  gap: 20px;
}

.grid-3 {
  display: grid;
  grid-template-columns: repeat( auto-fit, minmax(20%, 1fr) );
  gap: 20px;
}

.grid-1-2 {
  max-width: 100%;
  display: grid;
  grid-template-columns: 1fr 4fr;
  gap: 20px;
}

.grid-2-1 {
  max-width: 100%;
  display: grid;
  grid-template-columns: 3fr 2fr;
  gap: 20px;
}

.gap-0 {gap: 0;}
.gap-2{gap: 20px;}
.gap-4 {gap: 40px;}

.mx-auto {margin: auto; text-align: center;}

.mt-1 {margin-top: 0.6rem;}
.mr-1 {margin-right: 0.6rem;}
.mb-1 {margin-bottom: 0.6rem;}
.ml-1 {margin-left: 0.6rem;}

.mr-2 {margin-right: 1.4rem;}
.mr-2 {margin-right: 1.4rem;}
.mb-2 {margin-bottom: 1.4rem;}
.ml-2 {margin-left: 1.4rem;}
.mt-2 {margin-top: 1.4rem;}

.mt-3 {margin-top: 1.8rem;}
.mb-3 {margin-bottom: 1.8rem;}
.mr-3 {margin-right: 1.8rem;}
.ml-3 {margin-left: 1.8rem;}

.mt-5 {margin-top: 2.5rem;}
.mb-5 {margin-bottom: 2.5rem;}

.mt-10 {margin-top: 6.5rem;}
.mb-10 {margin-bottom: 6.5rem;}

.m-0 {margin: 0;}
.mb-0 {margin-bottom: 0;}
.mt-0 {margin-top: 0;}

.p-1 {padding: 0.6rem;}
.py-1 {padding: 0.6rem 0;}
.pl-1 {padding-left: 0.6rem;}
.pr-1 {padding-right: 0.6rem;}
.pb-1 {padding-bottom: 0.6rem;}
.pt-1 {padding-top: 0.6rem;}

.p-2 {padding: 1.4rem;}
.py-2 {padding: 1.4rem 0;}
.pb-2 {padding-bottom: 1.4rem;}
.pl-2 {padding-left: 1.4rem;}
.pr-2 {padding-right: 1.4rem;}

.p-3 {padding: 2.5rem;}
.py-3 {padding: 2.5rem 0;}
.pt-3 {padding-top: 2.5rem;}
.pb-3 {padding-bottom: 2.5rem;}
.pr-3 {padding-right: 2.5rem;}
.pl-3 {padding-left: 2.5rem;}

.p-0 {padding: 0 !important;}
.pl-0 {padding-left: 0 !important;}
.pr-0 {padding-right: 0;}
.pt-0 {padding-top: 0;}
.pb-0 {padding-bottom: 0;}

.w-100 {width: 100%;}
.h-100 {height: 100%;}

.lead {font-size: 1.5rem;}

.br7 {border-radius: 7px;}

.rounded {border-radius: 50%;}

.object-cover {object-fit: cover;}

.fit-content {height: fit-content; width: fit-content;}

.light-shadow {box-shadow: var(--light-shadow);}

.lg { padding: 1rem; font-size: .9rem; }

.list li {padding: .8rem 1rem; text-transform: capitalize; transition: background-color .2s; }
.list li:hover { opacity: 0.8; }

.cp {cursor: pointer;}

.overflow {overflow: auto;}

.fw {font-weight: 600;}

.position-relative {position: relative;}
.position-absolute {position: absolute;}

.d-none {display: none;}

.red { color: var(--red);}

.bg-yellow { background-color: var(--yellow); color: var(--black);}
.bg-black { background-color: var(--black); color: var(--white);}
.bg-dark { background-color: var(--dark); color: var(--white);}
.bg-white { background-color: var(--white) !important; color: var(--black);}
.bg-light { background-color: var(--light); color: var(--black);}
.bg-blue {  background-color: var(--blue); color: var(--white);}
.bg-green { background-color: var(--green); color: var(--white);}
.bg-gray {  background-color: var(--gray);}
.bg-red {  background-color: var(--red) !important; color: var(--white);}
.bg-inherit {  background-color: inherit; border: 0; height: auto !important;}
.bg-ochre {background-color: var(--ochre); color: var(--white) !important;}

.bg-gradient-to-b { background-image: linear-gradient(to bottom,var(--tw-gradient-stops)); }

.ochre {color: var(--ochre);}
.white {color: var(--white);}
.dark {color: var(--dark); }
.gray {color: var(--gray);}
.blue {color: var(--blue);}
.yellow { color: var(--yellow);}
.red { color: var(--red);}
.green { color: var(--green);}
.metal {color: var(--metal);}
.grayscale {filter: grayscale(1);}

.bordered,.avatar {  border: 1px solid var(--gray);}
.border-bottom {  border-bottom: 1px solid var(--gray);}
.border-top {     border-top: 1px solid var(--gray);   }
.border-left {    border-left: 1px solid var(--gray);  }
.border-right {    border-right: 1px solid var(--gray);  }

.border-0 {border: 0; outline: none;}
.border-left-0 {border-left: 0;}

.border-light {border-color: var(--light);}